#ifndef I2C_H
#define I2C_H

// <<< Use Configuration Wizard in Context Menu >>>
extern xdata unsigned char i2c_Cnt;
extern bit i2c_Busy;
extern bit i2c_Save;

extern void delay_us (void);
extern void delay(unsigned int cnt);
extern void i2c_start (void);
extern void i2c_stop();
extern void i2c_ACK(bit ck);
extern bit i2c_waitACK();
extern void i2c_sendbyte(unsigned char bt);
extern unsigned char i2c_recbyte();
extern void i2c_writebyte(unsigned char add,unsigned char dat);
extern unsigned char i2c_readbyte(unsigned char add);
// <<< end of configuration section >>>
#endif